package com.sun.org.apache.xerces.internal.xni;

import java.util.Enumeration;

public interface NamespaceContext
{
    public static final String XML_URI = "http://www.w3.org/XML/1998/namespace".intern();
    public static final String XMLNS_URI = "http://www.w3.org/2000/xmlns/".intern();
    
    public abstract void pushContext();
    
    public abstract void popContext();
    
    public abstract boolean declarePrefix(String p0, String p1);
    
    public abstract String getURI(String p0);
    
    public abstract String getPrefix(String p0);
    
    public abstract int getDeclaredPrefixCount();
    
    public abstract String getDeclaredPrefixAt(int p0);
    
    public abstract Enumeration getAllPrefixes();
    
    public abstract void reset();
}
